<!--
  Generated template for the TabNewPostPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Crear publicación</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding-top>
  <ion-item no-lines class="my-item">
    <ion-thumbnail item-start>
      <preload-image [ratio]="{w:1, h:1}" [src]="loggedUser.image"></preload-image>
    </ion-thumbnail>
    <p class="user-fullname semi-bold" no-margin>{{ loggedUser.first_name }} {{ loggedUser.last_name }}</p>
    <button ion-button small icon-start outline color="light-gray" style="font-size: 1rem">
      <ion-icon name="contacts"></ion-icon>
      Mis contactos
    </button>
  </ion-item>
  <ion-textarea style="font-size: 2.3rem" placeholder="Comparte un artículo, foto o idea..." rows="4"></ion-textarea>
  <!--
  <ion-grid>
    <ion-row>
      <ion-col col-4 offset-4 text-center>
        <preload-image [ratio]="{w:1, h:1}" [src]="loggedUser.image"></preload-image>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col col-6 offset-3 text-center>
        <button ion-button block small icon-start outline color="white-footer">
          <ion-icon name="contacts"></ion-icon>
          Mis contactos
        </button>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-textarea placeholder="Comparte un artículo, foto o idea..." rows="4"></ion-textarea>
  <div *ngIf="image">
    <ion-grid>
      <ion-row>
        <ion-col col-12>
          <button ion-button icon-only clear large color="white-footer" (click)="removeImage()" style="position: absolute; right: 0; z-index: 1;">
            <ion-icon name="close"></ion-icon>
          </button>
          <preload-image class="square-image" [ratio]="{w:1, h:1}" [src]="image"></preload-image>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
  -->
</ion-content>

<ion-footer color="black">
  <ion-toolbar color="black">
    <ion-grid no-padding>
      <ion-row no-padding>
        <ion-col col-9>
          <p>Agregar a tu publicación</p>
        </ion-col>
        <ion-col col-3>
          <ion-grid>
            <ion-row>
              <ion-col col-6>
                <button ion-button icon-only clear large color="walkthrough" (click)="openCamera()">
                  <ion-icon name="camera"></ion-icon>
                </button>
              </ion-col>
              <ion-col col-6>
                <button ion-button icon-only clear large color="walkthrough" (click)="chooseImage()">
                  <ion-icon name="images"></ion-icon>
                </button>
              </ion-col>
            </ion-row>
          </ion-grid>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-toolbar>
</ion-footer>